List Fleet Resources
curl --request GET \
--url https://api.mountthor.com/v1/admin/fleet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mountthor.com/v1/admin/fleet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mountthor.com/v1/admin/fleet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"bare_metal_machines": [
{
"created_at": "2026-05-25T17:30:00Z",
"machine_class": "m4-24g",
"name": "bm-01",
"phase": "Ready",
"ready_for_access": true,
"failure_code": "ReservedCapacityUnavailable",
"failure_message": "capacity allocation is missing for bare-metal class m4-24g",
"image": "xcode-16-stable",
"resource_uid": "69d135e9-279e-4cc9-92b3-b2fb6100665d"
}
],
"customer_id": "<string>",
"namespace": "tenant-acme-prod",
"tenant_id": "<string>",
"virtual_machines": [
{
"created_at": "2026-05-25T17:30:00Z",
"image_ref": "xcode-16-stable",
"name": "vm-01",
"phase": "Running",
"ready_for_access": true,
"cpu": 123,
"disk_gib": 123,
"failure_code": "ImageUnavailable",
"failure_message": "provider VM image was not available on the selected host",
"memory_mib": 123,
"ready_at": "2026-05-25T17:36:20Z",
"resource_uid": "69d135e9-279e-4cc9-92b3-b2fb6100665d"
}
]
}"<string>"Fleet
List Fleet Resources
GET
/
v1
/
admin
/
fleet
List Fleet Resources
Authorizations
Bearer scheme name used by typed customer admin operations.
Response
Fleet snapshot for this tenant
Fleet listing response for account-scoped compute resources.
Bare-metal machines currently visible in the tenant namespace.
Show child attributes
Show child attributes
Stable UUID for the customer account.
Kubernetes namespace used for the tenant's compute resources.
Example:
"tenant-acme-prod"
Stable UUID for the tenant.
Virtual machines currently visible in the tenant namespace.
Show child attributes
Show child attributes